---@meta cjson.safe

--------------------------------------------------------------------------------
-- lua-cjson safe C 模块
--------------------------------------------------------------------------------

---@class cjson_safe*: cjson*
---@type cjson_safe*
local M = {}

--- 创建独立配置的新 cjson.safe 模块表。
---@return cjson_safe* module 新模块表
function M.new() end

--- 保护式编码 Lua 值为 JSON。
---@param value any Lua 值
---@return string? json JSON 文本
---@return string? errMsg 错误信息
function M.encode(value) end

--- 保护式解码 JSON 文本。
---@param json string JSON 文本
---@return any value Lua 值
---@return string? errMsg 错误信息
function M.decode(json) end

return M
